View Issue Details

IDProjectCategoryView StatusLast Update
0001289SOGoWeb Mailpublic2011-12-29 15:29
ReporterDavid Goncalves Assigned Toludovic  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.7 
Fixed in Version1.3.12 
Summary0001289: IMAP check all folders for new...
Description

When using IMAP with webmail, SOGo does not check in all folders for new
mail (displaying folder as bold).

When using server side filtering (with sieve), you cannot see new messages
without visiting every folder...

TagsNo tags attached.

Activities

mathis

mathis

2011-12-14 03:27

reporter   ~0003158

This is a real problem for all who use Sieve to pre-sort their mails.

I propose the function to check all folders for new mail (instead of just the INBOX) should be implemented optionally (disabled by default), so anyone who enables it knows that he will generate more load on the IMAP server.

ludovic

ludovic

2011-12-29 15:29

administrator   ~0003207

Fixed - see: http://mtn.inverse.ca/revision/diff/a4f6c377a41454eb21ed5b253cb7d07fc2c1a55e/with/3c7106a946b0d9786d46c4f0c0a7e5bc1e5f8684

We now check for new mails on all folders that have Sieve rules defined to move mails into.

Issue History

Date Modified Username Field Change
2011-05-06 05:14 David Goncalves New Issue
2011-12-14 03:27 mathis Note Added: 0003158
2011-12-29 15:29 ludovic Note Added: 0003207
2011-12-29 15:29 ludovic Status new => resolved
2011-12-29 15:29 ludovic Fixed in Version => 1.3.12
2011-12-29 15:29 ludovic Resolution open => fixed
2011-12-29 15:29 ludovic Assigned To => ludovic
2011-12-29 15:29 ludovic Status resolved => closed